## ros-noetic-rosdoc-lite 0.2.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.0.2)
 project(rosdoc_lite)
 find_package(catkin REQUIRED)
