=== debian/changelog ===
ros-noetic-rosdoc-lite (0.2.11-1focal) focal; urgency=high

  * add generate_treeview option (#96 <https://github.com/ros-infrastructure/rosdoc_lite/issues/96>)
    To enable the treeview set in rosdoc.yaml
    ```
    - builder: doxygen
    generate_treeview: YES
    ```
  * change to setuptools in accordance with migration guide (#105 <https://github.com/ros-infrastructure/rosdoc_lite/issues/105>)
  * Add option "required" to builder configs which will cause rosdoc_lite to fail if the builder fails. (#106 <https://github.com/ros-infrastructure/rosdoc_lite/issues/106>)
    * Add option "required" to builder configs which will cause rosdoc_lite to fail if the builder fails.
    * Require documentation of this package to finish properly.
    * Added documentation to the added exception from generate_docs.
  * Add support for configuring INPUT_FILTER doxygen option (#103 <https://github.com/ros-infrastructure/rosdoc_lite/issues/103>)
  * Add missing graphviz dep
    Used by Doxygen for inheritance diagrams.
  * Read include_path from config file
    * Removes warning about non existing INCLUDE_PATH. Closes #86 <https://github.com/ros-infrastructure/rosdoc_lite/issues/86>
  * Bump CMake version to avoid CMP0048
  * Contributors: Alexander Gutenkunst, Arne Hitzmann, Felix Ruess, Martin Pecka, Matthijs van der Burgh, Shane Loretz, Tully Foote

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 07 Sep 2023 07:00:00 -0000

ros-noetic-rosdoc-lite (0.2.10-1focal) focal; urgency=high

  * Add mdfile to INPUT
  * Use conditional dependencies (#93 <https://github.com/ros-infrastructure/rosdoc_lite/issues/93>)
    * Use conditional dependencies for all Python rosdep keys
    * Only depend on epydoc if using Python 2
    * Switch to python?-catkin-pkg-modules since the CLI tools aren't used
    * Python 2 and 3 versions are side-by-side installable
    * Switch to python?-rospkg-modules since the CLI tools aren't used
    * Python 2 and 3 versions are side-by-side installable
  * Add mdfile to INPUT
  * backwards-compatible fix for python3 API changes
  * fix cmake failure when building without tests
  * Removes obsolete doxygen options
    fix cmake failure when building without tests
  * enable linking to documentation hosted on third party server
  * Update exception handling to Python2.6+ / Python3 syntax
  * Fix getting doxygen path when output_folder is defined
  * Add unit tests for getting doxygen path
  * Better name of function getting the documentation path
  * Update exception handling to Python2.6+ / Python3 syntax
  * Merge branch 'master' of github.com:jobleier/rosdoc_lite
  * enable 'docs_url' pointing to documentation hosted on third party server with external Doxygen documentation using tag files
  * Contributors: Alexander Gutenkunst, Finn-Thorben Sell, Johannes Bleier, Matthijs van der Burgh, Paul Dinh, Riku Shigematsu, Shane Loretz, Tully Foote, v4hn

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 07 Feb 2020 08:00:00 -0000

ros-noetic-rosdoc-lite (0.2.9-1focal) focal; urgency=high

  * use yaml.safe_load for untrusted yaml input
  * Contributors: Dirk Thomas

 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 23 Jan 2019 08:00:00 -0000

ros-noetic-rosdoc-lite (0.2.8-1focal) focal; urgency=high

  * fix top bar on recent doxygen versions
    * on recent doxygen topbar requires jquery
    * fixes documentation generation on ROS melodic
    * see https://www.stack.nl/~dimitri/doxygen/manual/changelog.html#log_1_8_1
  * add use_mdfile_as_mainpage option
    This makes it possible/easier to use a markdown file as mainpage, e.g. the README.md
  * remove unsupported option latex_paper_size (#79 <https://github.com/ros-infrastructure/rosdoc_lite/issues/79>)
  * Expose doxygen parameter GENERATE_QHP
  * Contributors: Dirk Thomas, Felix Ruess, Jack O'Quin, Jiri Horner, Levi Armstrong, Tully Foote

 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 17 Sep 2018 07:00:00 -0000

ros-noetic-rosdoc-lite (0.2.7-1focal) focal; urgency=high

  * fix import (#74 <https://github.com/ros-infrastructure/rosdoc_lite/issues/74>)
  * add ability to configure the doxygen parameter EXTRACT_ALL (#72 <https://github.com/ros-infrastructure/rosdoc_lite/issues/72>)
  * more correct reference to the package website url (#68 <https://github.com/ros-infrastructure/rosdoc_lite/issues/68>)
  * get rid of HTML static path, so build farm quits complaining
  * Contributors: Daniel Stonier, Dirk Thomas, Jack O'Quin, Levi Armstrong

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 02 Jun 2017 07:00:00 -0000

ros-noetic-rosdoc-lite (0.2.6-1focal) focal; urgency=high

  * Support SEARCHENGINE option for doxygen
    Closes #56 <https://github.com/ros-infrastructure/rosdoc_lite/issues/56>
  * Contributors: Jack O'Quin, Kentaro Wada

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 12 Apr 2016 07:00:00 -0000

ros-noetic-rosdoc-lite (0.2.5-1focal) focal; urgency=high

  * Add autodoc to sphinx config.
  * Use generator specific output folder.
  * Move import to local scope, since when the new API is being invoked
    from jenkins_scripts genmsg is not on the Python path.
  * Add API to provide generator specific output folders.
  * Run epydoc in the package folder.
  * Print output from epydoc invocation (fix #50 <https://github.com/ros-infrastructure/rosdoc_lite/issues/50>).
  * Update doxygen template to disable external groups and pages.
  * Update doxygen template to 1.8.6.
  * Contributors: Dirk Thomas, Jack O'Quin, Jonathan Bohren

 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 28 Feb 2015 08:00:00 -0000

ros-noetic-rosdoc-lite (0.2.4-1focal) focal; urgency=high

  * Groovy, Hydro and Indigo release.
  * Introduce doxygen PREDEFINED tag (#47 <https://github.com/ros-infrastructure/rosdoc_lite/issues/47>).  Thanks to Fabien
    Spindler.
  * Bugfix to enable devel space usage of rosdoc-lite, fixes #44 <https://github.com/ros-infrastructure/rosdoc_lite/issues/44>.
    Thanks to Daniel Stonier.

