=== debian/control ===
Source: ros-noetic-rosdoc-lite
Section: misc
Priority: optional
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin
Homepage: http://wiki.ros.org/rosdoc_lite
Standards-Version: 3.9.2

Package: ros-noetic-rosdoc-lite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, doxygen, graphviz, python3-catkin-pkg-modules, python3-kitchen, python3-rospkg-modules, python3-sphinx, python3-yaml, ros-noetic-genmsg
Description: This ROS package wraps documentation tools like doxygen, sphinx, and epydoc, making it convenient to generate ROS package documentation.
 It also generates online documentation for the ROS wiki.
